<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		

   
  
 									
									<?php
									
		
   include('xcrud/xcrud.php');
    $ebusiness = Xcrud::get_instance();
	$ebusiness->table('rosteringtimesheet');
	
	$ebusiness->order_by('rstimeid','desc');
	
$ebusiness->table_name('All Employee Full Rostered Detail','Rostering','icon-leaf');
$ebusiness->join('rosterid','rostering','rosterid');

$ebusiness->relation('rostering.sectors','sectors','id','name');

 $ebusiness->relation('rostering.patrol_location','guardforceclient','clientid',array('customername','patrollocation'),'','','','','','rostering.sectors','sectors');     
	$ebusiness->relation('employeeid','employeemaster','employeeid',array('first_name','last_name','employeeid'),array('department' => 'GFS'));
//$ebusiness->columns('rostering.start_date,rostering.end_date,rostering.account_number,rostering.department', true);
  //$ebusiness->columns('rstimeid,employeeid,rosterid,rostering.sectors,rostering.patrol_location,montime_in,montime_out,montime_in1,montime_out1,mon_hrs2,mon_total,tuestime_in,tuestime_out,tuestime_in1,tuestime_out1,tues_hrs2,tues_total,wedtime_in,wedtime_out,wedtime_in1,wedtime_out1,wed_hrs2,wed_total, thurstime_in,thurstime_out,thurstime_in1,thurstime_out1,thurs_hrs2,thurs_total, fritime_in,fritime_out,fritime_in1,fritime_out1,fri_hrs2,fri_total,sattime_in,sattime_out,sattime_in1,sattime_out2,sat_hrs2,sat_total,sunttime_in,sunttime_out,suntime_in1,suntime_out1,sun_hrs2,sun_total,mon2time_in,mon2time_out,mon2_total,total_hrs,normal_hours,time_half_hours,double_hours,rostering.status,rostering.last_modified_by,rostering.lastupdate,rostering.management_approval');
  //$ebusiness->fields('rstimeid,employeeid,rosterid,rostering.sectors,rostering.patrol_location,montime_in,montime_out,montime_in1,montime_out1,mon_hrs2,mon_total,tuestime_in,tuestime_out,tuestime_in1,tuestime_out1,tues_hrs2,tues_total,wedtime_in,wedtime_out,wedtime_in1,wedtime_out1,wed_hrs2,wed_total, thurstime_in,thurstime_out,thurstime_in1,thurstime_out1,thurs_hrs2,thurs_total, fritime_in,fritime_out,fritime_in1,fritime_out1,fri_hrs2,fri_total,sattime_in,sattime_out,sattime_in1,sattime_out2,sat_hrs2,sat_total,sunttime_in,sunttime_out,suntime_in1,suntime_out1,sun_hrs2,sun_total,mon2time_in,mon2time_out,mon2_total,total_hrs,normal_hours,time_half_hours,double_hours,rostering.status,rostering.last_modified_by,rostering.lastupdate,rostering.management_approval');
$ebusiness->column_pattern('rosterid', '<a href="#" class="xcrud-action" data-task="view" data-primary="{rstimeid}">{value}</a>');
//$ebusiness->button('javascript:window.open("http://www.ebusinessfiji.com");','Xymon','glyphicon glyphicon-eye-open');
 //$ebusiness->modal('employeeid');
$ebusiness->unset_remove();
$ebusiness->unset_edit();
$ebusiness->unset_add();

$ebusiness->set_attr('rstimeid',array('id'=>'id'));

	echo $ebusiness->render();




		
  
 	echo '</div >';


echo '<div class="row"> <div class="col-sm-12" >';

//echo '<iframe src="ReportRostering-GFS.php" height="400" width="100%">
  // alternative content for browsers which do not support iframe.
//</iframe>';		?>
										
						</div>

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<script>
$(document).ready(function(){
   // event must be delegated from .xcrud
   $(".xcrud").on("click","#i7d",function(){ // !important, delegation from static container
     
		alert('Test');
	   
   });
	
	   
	
	   
});
	
	jQuery(document).on("ready xcrudafterrequest",function(){
     var availableTags = [
        "ActionScript",
        "AppleScript",
        "Asp",
        "BASIC",
        "C",
        "C++",
        "Clojure",
        "COBOL",
        "ColdFusion",
        "Erlang",
        "Fortran",
        "Groovy",
        "Haskell",
        "Java",
        "JavaScript",
        "Lisp",
        "Perl",
        "PHP",
        "Python",
        "Ruby",
        "Scala",
        "Scheme" 
    ];
    jQuery(".xcrud-input[type='text']").autocomplete({
        source: availableTags
    });
		
		
});
	$(document).on("xcrudbeforerequest",function(e,c,data){
    if(data.task == 'create'){
        Xcrud.modal('Testing');
	}
		 $(".xcrud").on("click","#id",function(){ // !important, delegation from static container
     
		alert('Test');
	   
   });
	});
						
</script>